# Class HttpWebdav

HttpEntityEnclosingRequestBase
org.apache.jmeter.protocol.http.sampler.HttpWebdav

public final class HttpWebdav extends HttpEntityEnclosingRequestBase
WebDav request

Since:
  2.12

## Constructor Summary

Constructors
Constructor
Description
`HttpWebdav(String davMethod, URI uri)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getMethod()`
`static boolean`
`isWebdavMethod(String method)`

## Constructor Details

### HttpWebdav

public HttpWebdav(String davMethod, URI uri)

Parameters:
  `davMethod` - method to use (has to be a Webdav method as identified by `isWebdavMethod(String)`)
  `uri` - `URI` to use

## Method Details

### getMethod

public String getMethod()

### isWebdavMethod

public static boolean isWebdavMethod(String method)

Parameters:
  `method` - Http Method
Returns:
  `true` if method is a Webdav one